Page MenuHomePhabricator

[docs] Fixed incorrect build instructions for Scudo
AbandonedPublic

Authored by cryptoad on Nov 29 2019, 8:32 AM.

Details

Reviewers
eugenis
alex
Summary

The docs previously said to compile *.cc, but the C++ files in that directory all use the .cpp extension.

Event Timeline

alex created this revision.Nov 29 2019, 8:32 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 29 2019, 8:32 AM
cryptoad accepted this revision.Nov 29 2019, 1:07 PM
This revision is now accepted and ready to land.Nov 29 2019, 1:07 PM
alex added a comment.Nov 29 2019, 1:12 PM

FYI, I'm not an LLVM committer, so I'll need someone to merge this for me. Thanks!

FYI, I'm not an LLVM committer, so I'll need someone to merge this for me. Thanks!

Ack, I'll get to it shortly.
I have to redo the whole thing since it's not accounting for the new "standalone" version of the allocator.

alex added a comment.Dec 2 2019, 5:18 PM

FWIW, another thing that probably deserves to be mentioned is that compiling it this way does not get you the GWP-ASAN integration, you need to go via CMake if you want that.

cryptoad commandeered this revision.May 26 2021, 2:04 PM
cryptoad edited reviewers, added: alex; removed: cryptoad.
This revision now requires review to proceed.May 26 2021, 2:04 PM
cryptoad abandoned this revision.May 26 2021, 2:04 PM

Docs have been udpated some time ago with new build instructions to reflect the migration to the standalone version. Abandoning this.